gi-glib-2.0.30: GLib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GLib.Structs.TestSuite

Contents

- Exported types
- Methods
  - add
  - addSuite
  - free

Description

An opaque structure representing a test suite.

Synopsis

- newtype TestSuite = TestSuite (ManagedPtr TestSuite)
- testSuiteAdd :: (HasCallStack, MonadIO m) => TestSuite -> TestCase -> m ()
- testSuiteAddSuite :: (HasCallStack, MonadIO m) => TestSuite -> TestSuite -> m ()
- testSuiteFree :: (HasCallStack, MonadIO m) => TestSuite -> m ()

# Exported types

newtype TestSuite Source #

Memory-managed wrapper type.

Constructors

TestSuite (ManagedPtr TestSuite) |

#### Instances

Instances details

Eq TestSuite Source # |
Instance details Defined in GI.GLib.Structs.TestSuite Methods (==) :: TestSuite -> TestSuite -> Bool Source # (/=) :: TestSuite -> TestSuite -> Bool Source #
BoxedPtr TestSuite Source # |
Instance details Defined in GI.GLib.Structs.TestSuite Methods boxedPtrCopy :: TestSuite -> IO TestSuite Source # boxedPtrFree :: TestSuite -> IO () Source #
ManagedPtrNewtype TestSuite Source # |
Instance details Defined in GI.GLib.Structs.TestSuite Methods toManagedPtr :: TestSuite -> ManagedPtr TestSuite Source #

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

add, addSuite, free.

#### Getters

None.

#### Setters

None.

## add

testSuiteAdd Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> TestSuite | `suite`: a test suite
-> TestCase | `testCase`: a test case
-> m () |

Adds `testCase` to `suite`.

Since: 2.16

## addSuite

testSuiteAddSuite Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> TestSuite | `suite`: a test suite
-> TestSuite | `nestedsuite`: another test suite
-> m () |

Adds `nestedsuite` to `suite`.

Since: 2.16

## free

testSuiteFree Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> TestSuite | `suite`: a test suite
-> m () |

Frees the `suite` and all nested suites.

Since: 2.70